﻿@model ICollection<Lectures.Models.CatalogViewModel>
@{
    ViewData["Title"] = "Catalogs";
}

<h1>@ViewBag.Title</h1>

<div class="container">
    <table class="table users-table">
        <thead class="thead-dark">
            <tr>
                <td>
                    Name
                </td>
                <td>
                    Created at
                </td>
                <td>
                    Actions
                </td>
            </tr>
        </thead>
        <tbody>
            @foreach (var catalog in Model)
            {
                <tr>
                    <td>
                        @catalog.Name
                    </td>
                    <td>
                        @catalog.CreatedAt
                    </td>
                    <td class="actions">
                        <a asp-action="Files" class="btn btn-info" asp-route-name="@catalog.Name">Files</a>
                        <form asp-action="Remove" method="post">
                            <input type="hidden" value="@catalog.Name" name="name"/>
                            <button type="submit" class="btn btn-danger">Remove</button>
                        </form>
                    </td>
                </tr>
            }
        </tbody>
    </table>

    <a asp-action="Create" class="btn btn-success">Add catalog</a>
</div>